Skip to main content
PATCH
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 1 - 100
settings
WorkspaceSettingsUpdate · object | null
default_agent_preset_id
string<uuid> | null

Default agent preset for this workspace. Set to null to clear.

Response

Successful Response

id
string<uuid>
required
name
string
required
organization_id
string<uuid>
required
default_agent_preset_id
string<uuid> | null
settings
WorkspaceSettingsRead · object | null
unsafe_disable_secret_error_withholding_allowed
boolean
default:false

Whether the organization lets this workspace's actions opt into showing original error details when secrets are in scope.